View Issue Details

IDProjectCategoryView StatusLast Update
0000750bareos-core[All Projects] directorpublic2017-06-08 12:58
ReporterjoergsAssigned To 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version16.2.4 
Fixed in Version16.2.5 
Summary0000750: Trying to reload the Director configuration after adding a second director resource leaves the Director in an invalid state
DescriptionOnly one Director resource is allowed per Director configuration. The Director detects this, and refuses to reload a configuration with more than one director resource. However, the Director will stop to respond properly after trying to reload such a configuration.
Steps To Reproduce  * start the bareos-director
  * add a second director resource
  * start a bconsole session
  * reload the Director configuration (reload command in bconsole)
  * the Director detects, that an additional Director resource is invalid and refuses to use the new configuration
  * however, after this, the existing bconsole connection keeps working, but new bconsole connections to the Director are not possible.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impactyes
bareos-16.2: actionfixed
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

related to 0000780 closedjoergs Reload configuration error prevents bconsole connecting anymore 
child of 0000734 closedstephand Release bareos-16.2.5 

Activities

joergs

joergs

2017-03-03 23:11

developer   ~0002595

Fix committed to bareos bareos-16.2 branch with changesetid 6881.

Related Changesets

bareos: bareos-16.2 14a0e1e4

2017-02-16 11:25:44

joergs

Ported: N/A

Details Diff
Fix bareos-dir reload problems

This commit fixes two problems:
- when trying to load an invalid configuration, resources are not
unlocked properly in all cases.
- not all configuration errors have been detected as such by the reload
command.

Fixes 0000750: Trying to reload the Director configuration after adding a
second director resource leaves the Director in an invalid state
Fixes 0000780: Reload configuration error prevents bconsole connecting anymore
Affected Issues
0000750, 0000780
mod - src/dird/dird.c Diff File
mod - src/dird/ua_cmds.c Diff File
mod - src/dird/ua_configure.c Diff File
mod - src/lib/lex.c Diff File
mod - src/lib/protos.h Diff File
mod - src/lib/res.c Diff File

Issue History

Date Modified Username Field Change
2016-12-31 13:43 joergs New Issue
2017-02-09 14:44 joergs Relationship added related to 0000780
2017-02-16 11:26 joergs Assigned To => joergs
2017-02-16 11:26 joergs Status new => assigned
2017-02-16 11:28 joergs Relationship added child of 0000734
2017-02-16 11:28 joergs bareos-master: impact => yes
2017-02-16 11:28 joergs bareos-master: action => fixed
2017-02-16 11:28 joergs bareos-16.2: impact => yes
2017-02-16 11:28 joergs bareos-16.2: action => fixed
2017-03-03 23:11 joergs Changeset attached => bareos bareos-16.2 14a0e1e4
2017-03-03 23:11 joergs Note Added: 0002595
2017-03-03 23:11 joergs Status assigned => resolved
2017-03-03 23:11 joergs Resolution open => fixed
2017-06-08 12:58 joergs Status resolved => closed
2017-06-08 12:58 joergs Assigned To joergs =>
2017-06-08 12:58 joergs Fixed in Version => 16.2.5